projectDir=$workDir/mfx

# git clone https://github.com/lu-zero/mfx_dispatch $projectDir --depth 1

rm -rf $projectDir

mkdir $projectDir
cd $projectDir

git init
git remote add origin https://github.com/lu-zero/mfx_dispatch
git fetch --depth 1 origin "1.35.1"
git checkout FETCH_HEAD

git am ../../patches/mfx/*

rm -rf build
mkdir build

cd build

export CFLAGS="$CFLAGS -static-libgcc -static-libstdc++ -static"
export CXXFLAGS="$CXXFLAGS -static-libgcc -static-libstdc++ -static"
export LDFLAGS="$LDFLAGS -static-libgcc -static-libstdc++"

cmake -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Release ..

cmake --build . --config Release

cmake --install .
